"use strict";
var uni_modules_wotDesignUni_components_common_props = require("../common/props.js");
const textareaProps = {
  ...uni_modules_wotDesignUni_components_common_props.baseProps,
  customTextareaContainerClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customTextareaClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  customLabelClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  modelValue: uni_modules_wotDesignUni_components_common_props.makeNumericProp(""),
  placeholder: String,
  placeholderStyle: String,
  placeholderClass: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  disabled: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  maxlength: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  autoFocus: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  focus: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  autoHeight: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  fixed: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  cursorSpacing: uni_modules_wotDesignUni_components_common_props.makeNumberProp(0),
  cursor: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  confirmType: String,
  confirmHold: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  showConfirmBar: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  selectionStart: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  selectionEnd: uni_modules_wotDesignUni_components_common_props.makeNumberProp(-1),
  adjustPosition: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  disableDefaultPadding: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  holdKeyboard: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  showPassword: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  clearable: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  readonly: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  prefixIcon: String,
  showWordLimit: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  label: String,
  labelWidth: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  size: String,
  error: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  center: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  noBorder: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  required: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(false),
  prop: uni_modules_wotDesignUni_components_common_props.makeStringProp(""),
  rules: uni_modules_wotDesignUni_components_common_props.makeArrayProp(),
  clearTrigger: uni_modules_wotDesignUni_components_common_props.makeStringProp("always"),
  focusWhenClear: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  ignoreCompositionEvent: uni_modules_wotDesignUni_components_common_props.makeBooleanProp(true),
  inputmode: uni_modules_wotDesignUni_components_common_props.makeStringProp("text"),
  markerSide: uni_modules_wotDesignUni_components_common_props.makeStringProp("before")
};
exports.textareaProps = textareaProps;
